Bug 199256 - exim unconditionally requires postgres and mysql libraries
exim unconditionally requires postgres and mysql libraries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 09:53 EDT by David Woodhouse
Modified: 2009-07-14 17:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
POC non-working patch to split MySQL lookups into dynamic so (80.08 KB, patch)
2006-08-06 09:10 EDT, Tim Jackson
no flags Details | Diff

  None (edit)
Description David Woodhouse 2006-07-18 09:53:42 EDT
You can't do a minimal install with Exim, if your definition of 'minimal' is an
installation that doesn't include all the SQL libraries.

It'd be good to be able to have the postgres and mysql support _optional_. The
debian approach of a separate exim package for each configuration sucks
somewhat; I don't think we want to go there. Once upon a time I was playing with
a patch to make Exim's lookup types dynamically loadable -- so we could ship an
exim-mysql package with just a shared library in it, which the user would
configure Exim to load (or maybe it could be automatically found in a certain
directory). 

A simpler but more hackish alternative would be to have weak references to all
the mysql/postgres functions, and dlopen the library before it's first used.

We should fix this before RHEL5.
Comment 1 David Woodhouse 2006-07-18 09:58:32 EDT
Others have played with it too. When looking for my patch I found this instead,
for example...
http://www.exim.org/mail-archives/exim-dev/2005-December/msg00027.html
Comment 2 Tim Jackson 2006-08-06 09:10:57 EDT
Created attachment 133706 [details]
POC non-working patch to split MySQL lookups into dynamic so

From my patch in the above-linked thread, --export-dynamic alone didn't fix it,
but Nico E got in contact (or was that earlier...?), as he'd already got a
(better) working patch for 4.33. See:

http://www.exim.org/mail-archives/exim-dev/2005-December/msg00029.html

I modified his patch so that it applied against 4.60 but it still doesn't quite
work.

Attached is a modified version of Nico's patch that applies against 4.60, but 
doesn't quite work. It's a proof of concept that patches the MySQL lookups
only.
NB it also contains a copy of the Makefile I was using.

I'm pretty sure that someone with enough knowledge about lookups will be able
to fix this without too much trouble.
Comment 3 David Woodhouse 2007-02-06 12:18:13 EST
http://www.exim.org/bugzilla/show_bug.cgi?id=139
Comment 4 Tim Jackson 2008-01-05 08:08:05 EST
David have you reviewed Johannes' patches over at exim.org?
Comment 5 Bug Zapper 2008-04-03 23:20:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Tim Jackson 2008-04-09 15:30:52 EDT
Still open upstream as per comment #3
Comment 7 David Woodhouse 2008-04-19 20:21:54 EDT
I have this ready to commit to the devel branch as soon as we're done branching
for F-9. Wondering if I should rename the existing package to something like
'exim-base' and add a new 'exim' package which contains no files but just
requires exim-base, exim-mysql and exim-pgsql.

That would give people the expected results on upgrades and when they 'yum
install exim', while still allowing the cut-down version to be used.
Comment 8 Bug Zapper 2008-05-13 22:14:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 18:13:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 12:56:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Tim Jackson 2009-07-14 17:55:36 EDT
This was actually implemented a while ago in F-10. Thanks David!

Note You need to log in before you can comment on or make changes to this bug.